<h1 align="center">Welcome to url-minify 👋</h1>

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-13-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

<a href="LICENSE" target="_blank">
  <img alt="License: MIT" src="https://img.shields.io/badge/License-MIT-yellow.svg" />
</a>

<a href="https://twitter.com/BRAVO68WEB" target="_blank">
  <img alt="Twitter: BRAVO68WEB" src="https://img.shields.io/twitter/follow/BRAVO68WEB.svg?style=social" />
</a>

<br><br>

<img src="https://user-images.githubusercontent.com/41448663/153746139-237f8e4d-be25-4f04-91ec-2bb3ff6f0e34.png" />

<br>

## 📜 Overview

#### ➡️ Link: https://minfy.xyz

#### What is URL MiniFy?
A URL shortener build with Nextjs, ExpressJS, MongoDB

#### Technologies Used:
<img src="https://img.shields.io/badge/Node.js-339933?style=for-the-badge&logo=nodedotjs&logoColor=white&color=green"> <img src="https://img.shields.io/badge/next.js-000000?style=for-the-badge&logo=nextdotjs&logoColor=white&color=grey"> <img src="https://img.shields.io/badge/Express.js-000000?style=for-the-badge&logo=express&logoColor=white"> <img src="https://img.shields.io/badge/MongoDB-4EA94B?style=for-the-badge&logo=mongodb&logoColor=white">

<br>

## 🎯 Getting Started

#### How to Contribute?

Contributions, issues and feature requests are welcome! Feel free to check the [issues page](https://github.com/BRAVO68WEB/url-minify/issues).

- Read the full guide here: [Contributing Guide](CONTRIBUTING.md)
- Detailed document on how to contribute: [How to Contribute](HOW_TO_CONTRIBUTE.md)

### ✒️ Summary

1. Fork this repository on GitHub.

2. Clone the forked repository in your computer.

    `$ git clone https://github.com/<your-username>/url-minify.git`
    
    `$ cd url-minify`

3. Add a remote (upstream) to the original project repository

    `$ git remote add upstream https://github.com/BRAVO68WEB/url-minify.git`
    
    `$ git fetch upstream`
    
    `$ git checkout main`
    
    `$ git merge upstream/main`

    This makes your fork up to date with the original project repo.

#### Installation and Usage 

4. Go the folder where you want to contribute:

    `$ cd frontend` OR `cd backend`

5. Install the dependencies and run the development server using:

    `$ npm install`
    
    `$ npm run start`

#### We can start making changes now! 🥳

6. Make your changes. Then, stage and commit them using:

    `$ git add .`
    
    `$ git commit -m "This is a commit message"`
    
7. Push your changes to your forked repository.

    `$ git push -u origin main`

8. Go to your forked repository on GitHub. Create a pull request from the `🔃Contribute` button provided there.
    
    <img height="200px" src="https://user-images.githubusercontent.com/59930625/157313470-71a2e194-17e5-4cd4-9949-ecfedc200c15.png">
    
    Contribute -> Open pull request -> Create pull request. (Make sure you write a detailed description of the changes you have made.)

#### And you're done! 🤩🤩

<br>

## 😊 Author

**BRAVO68WEB**

- Website: https://bravo68web.me
- Twitter: [@BRAVO68WEB](https://twitter.com/BRAVO68WEB)
- GitHub: [@BRAVO68WEB](https://github.com/BRAVO68WEB)
- LinkedIn: [@BRAVO68WEB](https://linkedin.com/in/BRAVO68WEB)

<br>

## 🎡 Participations

#### Current:

<table>
  <tr>
    <td align="center" width="50%">
      <img height="72px" src="https://user-images.githubusercontent.com/59930625/157309089-bb24d8d3-cf2a-4ac3-aae2-6774051056b9.png">
      <br>
      <sub><b>GSSoC (https://gssoc.girlscript.tech/)</b></sub>
    </td>
    <td align="center" width="50%">
      <img height="72px" src="https://jwoc.tech/assets/img/opengraph.png">
      <br>
      <sub><b>JWOC (https://jwoc.tech/)</b></sub>
    </td>
  </tr>
</table>

<br>

## ✨ Our Contributors

Thanks goes to these wonderful people:

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/para-docx"><img src="https://avatars.githubusercontent.com/u/72385299?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Dhruv Pruthi</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=para-docx" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/chirag3003"><img src="https://avatars.githubusercontent.com/u/68195580?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Chirag Bhalotia</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=chirag3003" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/dakshgupta2002"><img src="https://avatars.githubusercontent.com/u/78641951?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Daksh Gupta</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=dakshgupta2002" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/logan4473"><img src="https://avatars.githubusercontent.com/u/69055524?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Logan</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=logan4473" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/DarkFalc0n"><img src="https://avatars.githubusercontent.com/u/59203815?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Pratyay Roy</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=DarkFalc0n" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/luxunator"><img src="https://avatars.githubusercontent.com/u/50147562?v=4?s=55" width="55px;" alt=""/><br /><sub><b>luxunator</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=luxunator" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/aaheli8"><img src="https://avatars.githubusercontent.com/u/66815283?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Aaheli Sadhukhan</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=aaheli8" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/XxThunderBlastxX"><img src="https://avatars.githubusercontent.com/u/74706101?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Koustav Mondal</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=XxThunderBlastxX" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/himanshusanecha"><img src="https://avatars.githubusercontent.com/u/52252631?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Himanshu Sanecha</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=himanshusanecha" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/Tejas-117"><img src="https://avatars.githubusercontent.com/u/75026048?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Tejas</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=Tejas-117" title="Code">💻</a></td>
    <td align="center"><a href="http://www.linkedin.com/in/omar-sherif-2152021a3"><img src="https://avatars.githubusercontent.com/u/69806823?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Omar Sherif Ali</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=omar-sherif9992" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/aadityasinha-dotcom"><img src="https://avatars.githubusercontent.com/u/75474786?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Aaditya Sinha</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=aadityasinha-dotcom" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/Danko-chan"><img src="https://avatars.githubusercontent.com/u/55607738?v=4?s=55" width="55px;" alt=""/><br /><sub><b>Abhay Verma</b></sub></a><br /><a href="https://github.com/BRAVO68WEB/url-minify/commits?author=Danko-chan" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

<br>

### 😽 Show your support

Star the repository if this project helped you! ⭐️

### 🤝 Contributing

Contributions, issues and feature requests are welcome! 

- Feel free to check the [issues page](https://github.com/BRAVO68WEB/url-minify/issues).
- Read the full guide here: [Contributing Guide](CONTRIBUTING.md)
- Detailed document on how to contribute: [How to Contribute](HOW_TO_CONTRIBUTE.md)

### 📝 License

Copyright © 2022 [BRAVO68WEB](https://github.com/BRAVO68WEB).

This project is [MIT](LICENSE) licensed.

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
